## tcpclientsink

tcpclientsink — Send data as a client over the network via TCP

## Synopsis

    struct              GstTCPClientSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstTCPClientSink

## Properties

      "host"                     gchar*                : Read / Write
      "port"                     gint                  : Read / Write
      "protocol"                 GstTCPProtocol        : Read / Write

## Description

### Example launch line

    1
    2
    3
    4

    # server:
    nc -l -p 3000
    # client:
    gst-launch fdsrc fd=1 ! tcpclientsink protocol=none port=3000

everything you type in the client is shown on the server

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### struct GstTCPClientSink

    struct GstTCPClientSink;

## Property Details

### The `"host"` property

      "host"                     gchar*                : Read / Write

The host/IP to send the packets to.

Default value: "localhost"

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to send the packets to.

Allowed values: [0,65535]

Default value: 4953

### The `"protocol"` property

      "protocol"                 GstTCPProtocol        : Read / Write

The protocol to wrap data in.

Default value: GST_TCP_PROTOCOL_NONE

## See Also

tcpclientsrc